# zde vyplnite cislo linky a SIP heslo nebo tez cislo uzivatele a API heslo
AUTHENTICATION = { 'user' => '300116', 'password' => 'heslo' }
ENV['SSL_CERT_FILE'] = File.expand_path(File.dirname(__FILE__)) + "/cacert.pem"

require 'net/http'
#starsi verze ruby vyzaduje navic radek
#require 'net/https'
#require 'uri'

co_predali=ARGV[0]
if co_predali==nil or co_predali==""
 puts "program je treba spustit s parametry"
 exit
end  
protokol,argument=co_predali.split(':')
cisla,akce=argument.split('?')
 
volano_z,volano_na=cisla.split(';')
 
 
LOG_FILE = 'C:\odorik\odorik_callback.log'
 
def log(my_message)
# {{{
 timeObj = Time.now
 timeStr = timeObj.strftime("%F---%T")
 File.open(LOG_FILE, "a") { |f_log|
     f_log.puts(timeStr + ': ' + my_message)
  puts(timeStr + ': ' + my_message)
  }
end # }}}
 
log("prislo: protokol:#{protokol},volano_z:#{volano_z},volano_na:#{volano_na},akce:#{akce}")
 
if protokol.downcase=="odorik" and (akce=="" or akce==nil or akce=="call")
 
 
  callback = { 'caller' => volano_z, 'recipient' => volano_na }
 
  uri = URI.parse('https://www.odorik.cz/api/v1/callback')
 
  request = Net::HTTP::Post.new(uri.path)
  request.form_data = AUTHENTICATION.merge(callback)
 
  http = Net::HTTP.new(uri.host, uri.port)
  http.use_ssl = true
  response = http.start {|http| http.request(request)}
 #  log("API vrátilo #{response.body}")
  unless response.body.include? 'callback_ordered'
    log("zpetno volani neslo objednat. Duvod: #{response.body}")
  end
else
 log("nerozpoznana akce prislo: protokol:#{protokol},volano_z:#{volano_z},volano_na:#{volano_na},akce:#{akce}")   
end
